Ignore:
Timestamp:
Jan 19, 2014, 3:50:00 AM (6 years ago)
Author:
jmr@…
Message:

metasploit2: use perl 5.16, set license

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/security/metasploit2/Portfile

    r112360 r116116  
    22
    33PortSystem 1.0
     4
    45name            metasploit2
    56conflicts       metasploit3
    67version         2.7
    7 revision        1
     8revision        2
    89categories      security
     10license         {Artistic-1 GPL-2} GPL-2+ APSL-1.1 Noncommercial Restrictive
    911maintainers     nomaintainer
    1012description     Tools and information for security research and pentesting
     
    2830                sha1 da5d41dfa13e549aacd4fbf2994877cbe80ceed9
    2931
    30 depends_lib     port:perl5.12 \
    31                 port:p5.12-term-readline-gnu \
    32                 port:p5.12-net-ssleay
     32depends_lib     port:perl5.16 \
     33                port:p5.16-term-readline-gnu \
     34                port:p5.16-net-ssleay
    3335
    3436use_configure   no
     
    3739                        system "cd ${worksrcpath} && find . -type d -name '\.svn' | xargs /bin/rm -rf"
    3840                        foreach file [glob -directory ${worksrcpath} msf*] {
    39                                 reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.12|" $file
     41                                reinplace "s|#!/usr/bin/perl|#!${prefix}/bin/perl5.16|" $file
    4042                        }
    4143                }
    42 destroot        { 
     44destroot        {
    4345                        set metasploitTargetDir "libexec/metasploit2"
    4446                        xinstall -d -m 755 ${destroot}${prefix}/${metasploitTargetDir}
Note: See TracChangeset for help on using the changeset viewer.